package com.malk.jinlun.service;

import java.util.Map;

public interface CpClient {
    String getCpAccessToken();

    Map createCpBo(String schemaCode, Map data, String userId);

    Map updateCpBo(String schemaCode, Map data, String userId);

    Map getCpBo(String schemaCode, String objectId, String userId);

    Map getCpBoList(String schemaCode, Map queryCondition,int page, int size, String userId);

    Map getCpBoResultData(Map result);

    void isSuccess(Map result);
}
